import React, { PureComponent } from 'react'

class Question extends PureComponent {
  render () {
    const { question } = this.props

    let qdata = question.data
    if (typeof qdata === 'object' && qdata.type === 'simple') {
      qdata = ''
    }
    if (qdata) {
      try {
        qdata = JSON.stringify(qdata)
      } catch (e) {}
    }

    return (
      <div className='questionContainer'>
        <div className='question'>
          {question.Q}
        </div>
        <div className='answer'>
          {question.A}
        </div>
        <div className='data'>
          {qdata || null}
        </div>
      </div>
    )
  }
}

export default Question
